summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author markus reichelt2010-07-03 22:24:58 +0200
committer Robby Workman2010-07-03 22:24:58 +0200
commit313a4f1d24815f58d9d8f481bac83505c6c35196 (patch)
tree7fa526a96ccec1f9f53d2837cd7944804db3d0ab
parent67ca98017adf3dda8a07180b9b2b7f34b074720c (diff)
downloadslackbuilds-313a4f1d24815f58d9d8f481bac83505c6c35196.tar.gz
libraries/libowfat: Added (a reimplemented libdjb under GPLv2)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/libowfat/README8
-rw-r--r--libraries/libowfat/libowfat.SlackBuild115
-rw-r--r--libraries/libowfat/libowfat.info10
-rw-r--r--libraries/libowfat/profile.d/dietlibc.csh3
-rw-r--r--libraries/libowfat/profile.d/dietlibc.sh3
-rw-r--r--libraries/libowfat/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/libraries/libowfat/README b/libraries/libowfat/README
new file mode 100644
index 0000000000..b542bcac02
--- /dev/null
+++ b/libraries/libowfat/README
@@ -0,0 +1,8 @@
+libowfat (a reimplemented libdjb under GPLv2)
+
+libowfat is a library of general purpose APIs extracted from Dan
+Bernstein's software, reimplemented and covered by the GNU General
+Public License Version 2 (no later versions).
+
+Installed dietlibc is autodetected and used. If for some reason
+dietlibc should not be used, pass DIET=NO to the script.
diff --git a/libraries/libowfat/libowfat.SlackBuild b/libraries/libowfat/libowfat.SlackBuild
new file mode 100644
index 0000000000..498bac8fbc
--- /dev/null
+++ b/libraries/libowfat/libowfat.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for libowfat
+
+# Copyright (c) 2010 Markus Reichelt, Aachen, DE
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# markus reichelt, slackbuilds@mareichelt.de, 0xCCEEF115
+# 2010 June 25 - initial release
+
+
+PRGNAM=libowfat
+VERSION=${VERSION:-0.28}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LIBARCH="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LIBARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ LIBARCH=$ARCH
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ LIBARCH="i386"
+fi
+
+if [ "$DIET" = "NO" ]; then
+ OPT="DIET="
+else
+ OPT=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/diet/man
+
+sed -i "s/CFLAGS=-pipe -W -Wall -O2 -fomit-frame-pointer/CFLAGS=$SLKCFLAGS/" GNUmakefile
+
+make Makefile
+make $OPT
+make install prefix=$PKG/opt/diet/ LIBDIR=$PKG/opt/diet/lib-$LIBARCH
+
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/dietlibc.sh > $PKG/etc/profile.d/dietlibc.sh
+cat $CWD/profile.d/dietlibc.csh > $PKG/etc/profile.d/dietlibc.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/opt/diet/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES* COPYING* README* TODO* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libowfat/libowfat.info b/libraries/libowfat/libowfat.info
new file mode 100644
index 0000000000..aa2ca908b5
--- /dev/null
+++ b/libraries/libowfat/libowfat.info
@@ -0,0 +1,10 @@
+PRGNAM="libowfat"
+VERSION="0.28"
+HOMEPAGE="http://www.fefe.de/libowfat/"
+DOWNLOAD="http://dl.fefe.de/libowfat-0.28.tar.bz2"
+MD5SUM="6bbee9a86506419657d87123b7a6f2c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="markus reichelt"
+EMAIL="slackbuilds@mareichelt.de"
+APPROVED="rworkman"
diff --git a/libraries/libowfat/profile.d/dietlibc.csh b/libraries/libowfat/profile.d/dietlibc.csh
new file mode 100644
index 0000000000..d675e09eff
--- /dev/null
+++ b/libraries/libowfat/profile.d/dietlibc.csh
@@ -0,0 +1,3 @@
+#!/bin/csh
+setenv PATH ${PATH}:/opt/diet/bin
+setenv MANPATH ${MANPATH}:/opt/diet/man
diff --git a/libraries/libowfat/profile.d/dietlibc.sh b/libraries/libowfat/profile.d/dietlibc.sh
new file mode 100644
index 0000000000..a32ca597b8
--- /dev/null
+++ b/libraries/libowfat/profile.d/dietlibc.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+export PATH="${PATH}:/opt/diet/bin"
+export MANPATH="${MANPATH}:/opt/diet/man"
diff --git a/libraries/libowfat/slack-desc b/libraries/libowfat/slack-desc
new file mode 100644
index 0000000000..8a85802e2f
--- /dev/null
+++ b/libraries/libowfat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |----------handy-ruler------------------------------------------------|
+libowfat: libowfat (a reimplemented libdjb under GPLv2)
+libowfat:
+libowfat: libowfat is a library of general purpose APIs extracted from Dan
+libowfat: Bernstein's software, reimplemented and covered by the GNU General
+libowfat: Public License Version 2 (no later versions).
+libowfat:
+libowfat: Originally written by Felix von Leitner, the latest version is
+libowfat: available via anonymous CVS:
+libowfat: $ cvs -d :pserver:cvs@cvs.fefe.de:/cvs -z9 co libowfat
+libowfat:
+libowfat: Homepage: http://www.fefe.de/libowfat/ \ No newline at end of file